Skip to content

After submitting a request, you can query your Vault to determine the status of the request. To do this, you must have a valid job_id for a job previously requested through the API.

Example Jobs:

  • Binder Export
  • Import Submission
  • Export Submission
  • Create EDL
  • Deploy Package
  • Deep Copy Object Record
  • Cascade Delete Object Record
  • Export Documents
GET/api/{version}/services/jobs/{job_id}
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{job_id}The ID of the job, returned from the original job request.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v23.1/services/jobs/1201
{ "responseStatus": "SUCCESS", "responseMessage": "OK", "data": { "id": 1201, "status": "SUCCESS", "method": "POST", "links": [ { "rel": "self", "href": "/api/v23.1/services/jobs/1601", "method": "GET", "accept": "application/json" } ], "created_by": 44533, "created_date": "2016-04-20T18:14:42.000Z", "run_start_date": "2016-04-20T18:14:43.000Z", "run_end_date": "2016-04-20T18:14:44.000Z" } }

On SUCCESS, the response includes the following information: